xosd_set_pos(3)

NAME
xosd_set_pos - Change the position of the XOSD window

SYNOPSIS
#include <xosd.h>

int xosd_set_pos (xosd* osd, xosd_pos pos);

DESCRIPTION
xosd_set_pos changes the position of the XOSD window, which was initially set when xosd_init(3) was called.

ARGUMENTS

osd The on-screen display object to act on.

pos One of XOSD_top or XOSD_bottom (for the top or the bottom of the screen respectively).

RETURN VALUE
On success, a zero is returned. On error, -1 is returned.

SEE ALSO
xosd_init(3), xosd_set_offset(3).